{
  "name": "cv-ui",
  "version": "0.0.0",
  "license": "MIT",
  "scripts": {
    "start": "nx serve cv",
    "build": "nx build cv",
    "build:stats": "nx build --configuration production --stats-json",
    "format": "run-s prettier lint:fix",
    "nx": "nx",
    "test": "nx run-many --all --target=test",
    "test:watch": "jest --watch",
    "test:coverage": "jest --coverage",
    "prepare": "is-ci || (cd ../.. && husky install frontend/cv-ui/.husky)",
    "pre-commit": "npm run lint-staged",
    "prettier": "prettier --write **/*.ts",
    "lint-staged": "lint-staged",
    "lint": "nx run-many --all --target=lint --fix --max-warnings=0",
    "lint:styles": "stylelint apps/**/*.scss  libs/**/*.scss modules/**/*.scss --fix",
    "typecheck": "tsc --noEmit --skipLibCheck",
    "ci:test": "nx run-many --all --target=test --parallel=3 --ci --coverage && node tools/scripts/mergeCoverageReports.mjs",
    "ci:lint": "npm-run-all --parallel lint lint:styles",
    "run:analyze": "webpack-bundle-analyzer dist/apps/cv/stats.json",
    "tools:analyze": "run-s build:stats run:analyze",
    "generate:api": "ng-openapi-gen --config ng-openapi-cv.json",
    "generate:ts": "openapi2typescript -i libs/api/lib/v1.json -o libs/api/lib/model/schema-generated.ts --skip-post-process",
    "generate:icons": "svg-to-ts-constants",
    "update": "nx migrate latest --interactive"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "17.0.8",
    "@angular/common": "17.0.8",
    "@angular/compiler": "17.0.8",
    "@angular/core": "17.0.8",
    "@angular/forms": "17.0.8",
    "@angular/platform-browser": "17.0.8",
    "@angular/platform-browser-dynamic": "17.0.8",
    "@angular/router": "17.0.8",
    "@angular/service-worker": "17.0.8",
    "@auth0/auth0-angular": "2.2.1",
    "@lonli-lokli/ts-result": "2.0.1",
    "@ngneat/dialog": "2.1.1",
    "@ngneat/error-tailor": "3.0.3",
    "@ngneat/helipopper": "6.6.0",
    "@ngneat/overview": "3.0.4",
    "@sentry/angular-ivy": "7.91.0",
    "@sentry/tracing": "7.91.0",
    "@sweet-monads/either": "3.3.1",
    "@sweet-monads/interfaces": "3.3.0",
    "@sweet-monads/maybe": "3.3.1",
    "devextreme": "23.2.3",
    "devextreme-angular": "23.2.3",
    "effector": "23.1.0",
    "effector-logger": "0.15.0",
    "jszip": "3.10.1",
    "lodash-es": "4.17.21",
    "ngx-toastr": "17.0.2",
    "normalize.css": "8.0.1",
    "patronum": "2.1.1",
    "rxjs": "7.8.1",
    "svgson": "5.3.1",
    "tippy.js": "6.3.7",
    "tslib": "2.4.1",
    "zod": "3.22.4",
    "zod-error": "1.5.0",
    "zone.js": "0.14.2"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "17.0.8",
    "@angular-devkit/core": "17.0.8",
    "@angular-devkit/schematics": "17.0.8",
    "@angular-eslint/builder": "17.0.1",
    "@angular-eslint/eslint-plugin": "17.0.1",
    "@angular-eslint/eslint-plugin-template": "17.0.1",
    "@angular-eslint/template-parser": "17.0.1",
    "@angular/cli": "~17.0.0",
    "@angular/compiler-cli": "17.0.8",
    "@angular/language-service": "17.0.8",
    "@ngneat/spectator": "16.0.0",
    "@nx/angular": "17.2.7",
    "@nx/jest": "17.2.7",
    "@nx/js": "17.2.7",
    "@nx/eslint-plugin": "17.2.7",
    "@nx/workspace": "17.2.7",
    "@schematics/angular": "17.0.8",
    "@types/file-saver": "2.0.6",
    "@types/jest": "29.5.5",
    "@types/lodash-es": "4.17.9",
    "@types/node": "18.16.9",
    "@typescript-eslint/eslint-plugin": "6.9.1",
    "@typescript-eslint/parser": "6.9.1",
    "document-register-element": "1.14.10",
    "eslint": "8.48.0",
    "eslint-config-prettier": "9.0.0",
    "eslint-import-resolver-typescript": "3.6.1",
    "eslint-plugin-effector": "0.12.0",
    "eslint-plugin-eslint-comments": "3.2.0",
    "eslint-plugin-import": "2.28.1",
    "eslint-plugin-jest": "27.4.2",
    "eslint-plugin-prettier": "5.0.1",
    "eslint-plugin-promise": "6.1.1",
    "eslint-plugin-sonarjs": "0.21.0",
    "eslint-plugin-unicorn": "48.0.1",
    "file-saver": "2.0.5",
    "husky": "8.0.3",
    "is-ci": "3.0.1",
    "jest": "29.4.3",
    "jest-environment-jsdom": "29.4.3",
    "jest-junit": "16.0.0",
    "jest-preset-angular": "13.1.4",
    "jsonc-eslint-parser": "^2.1.0",
    "lint-staged": "15.2.0",
    "ng-openapi-gen": "0.51.0",
    "ng-packagr": "17.0.3",
    "npm-run-all": "4.1.5",
    "nx": "17.2.7",
    "openapi2typescript": "0.2.1",
    "openapi2typescript-cli": "0.7.0",
    "postcss": "8.4.21",
    "postcss-import": "~14.1.0",
    "postcss-preset-env": "~7.5.0",
    "postcss-url": "~10.1.3",
    "prettier": "3.1.1",
    "stylelint": "15.11.0",
    "stylelint-config-prettier": "9.0.5",
    "stylelint-config-recommended-scss": "12.0.0",
    "stylelint-scss": "5.0.1",
    "svg-to-ts": "10.1.0",
    "ts-jest": "^29.1.0",
    "ts-node": "10.9.1",
    "ts-toolbelt": "9.6.0",
    "type-fest": "3.12.0",
    "typescript": "5.2.2",
    "webpack-bundle-analyzer": "4.9.0",
    "@nx/eslint": "17.2.7"
  },
  "engines": {
    "node": ">= 18.16.0  <19.0.0",
    "yarn": "Please use NPM instead of Yarn to install dependencies",
    "npm": ">=9 <=10"
  }
}
